﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

[Serializable]
public class AppointmentFramework
{
	private int _id;
	private String _subject;
	private String _location;
	private String _startTime;
	private String _endTime;
	private String _description;
	private String _owner;
	private String _priority;
	private Boolean _recurrence;
	private String _recurrenceType;
	private String _recurrenceTypeCount;
	private String _remainderCategorize;
	private String _customStyle;
	private Boolean _allDay;
	private String _recurrenceStartDate;
	private String _recurrenceEndDate;
	private String _recurrenceRule;

	public AppointmentFramework()
	{
	}

	public AppointmentFramework(int _id, string _subject, string _location, string _startTime, string _endTime, string _description, string _owner, string _priority, bool _recurrence, string _recurrenceType, string _recurrenceTypeCount, string _remainderCategorize, string _customStyle, bool _allDay, string _recurrenceStartDate, string _recurrenceEndDate, string _recurrenceRule)
	{
		this._id = _id;
		this._subject = _subject;
		this._location = _location;
		this._startTime = _startTime;
		this._endTime = _endTime;
		this._description = _description;
		this._owner = _owner;
		this._priority = _priority;
		this._recurrence = _recurrence;
		this._recurrenceType = _recurrenceType;
		this._recurrenceTypeCount = _recurrenceTypeCount;
		this._remainderCategorize = _remainderCategorize;
		this._customStyle = _customStyle;
		this._allDay = _allDay;
		this._recurrenceStartDate = _recurrenceStartDate;
		this._recurrenceEndDate = _recurrenceEndDate;
		this._recurrenceRule = _recurrenceRule;
	}

	public int ID
	{
		get
		{
			return _id;
		}
		set
		{
			_id = value;
		}
	}

	public string Subject
	{
		get
		{
			return _subject;
		}
		set
		{
			_subject = value;
		}
	}
	public string Location
	{
		get
		{
			return _location;
		}
		set
		{
			_location = value;
		}
	}
	public string StartTime
	{
		get
		{
			return _startTime;
		}
		set
		{
			_startTime = value;
		}
	}
	public string EndTime
	{
		get
		{
			return _endTime;
		}
		set
		{
			_endTime = value;
		}
	}
	public string Description
	{
		get
		{
			return _description;
		}
		set
		{
			_description = value;
		}
	}
	public string Owner
	{
		get
		{
			return _owner;
		}
		set
		{
			_owner = value;
		}
	}
	public string Priority
	{
		get
		{
			return _priority;
		}
		set
		{
			_priority = value;
		}
	}
	public Boolean Recurrence
	{
		get
		{
			return _recurrence;
		}
		set
		{
			_recurrence = value;
		}
	}
	public string RecurrenceType
	{
		get
		{
			return _recurrenceType;
		}
		set
		{
			_recurrenceType = value;
		}
	}
	public string RecurrenceTypeCount
	{
		get
		{
			return _recurrenceTypeCount;
		}
		set
		{
			_recurrenceTypeCount = value;
		}
	}
	public string RemainderCategorize
	{
		get
		{
			return _remainderCategorize;
		}
		set
		{
			_remainderCategorize = value;
		}
	}
	public string CustomStyle
	{
		get
		{
			return _customStyle;
		}
		set
		{
			_customStyle = value;
		}
	}
	public Boolean AllDay
	{
		get
		{
			return _allDay;
		}
		set
		{
			_allDay = value;
		}
	}
	public string RecurrenceStartDate
	{
		get
		{
			return _recurrenceStartDate;
		}
		set
		{
			_recurrenceStartDate = value;
		}
	}
	public string RecurrenceEndDate
	{
		get
		{
			return _recurrenceEndDate;
		}
		set
		{
			_recurrenceEndDate = value;
		}
	}
	public string RecurrenceRule
	{
		get
		{
			return _recurrenceRule;
		}
		set
		{
			_recurrenceRule = value;
		}
	}

}